<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8" />
        <title>22. Respositorios Git: respaldo de información</title>
        <link href="../css/styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1 id="respositorios-git-respaldo-de-informacion">22. Respositorios Git: respaldo de información</h1>
        <ul>
            <li>
                <p>Horas: 15</p>
            </li>
            <li>
                <p>Tipo: teórico-práctico</p>
            </li>
            <li>
                <p>Relaciones: 5e, 6e, 7e, 8e, 10e, 11e, 12e, 18n</p>
            </li>
        </ul>
        <h2 id="descripcion_22">Descripción</h2>
        <p>El respaldo de la información siempre ha sido un dolor de cabeza para los editores. Con mil y un discos duros se cree tener una solución, pero no son confiables cuando son demasiados colaboradores. Una solución es Git, un programa de código abierto que realiza un seguimiento preciso de los cambios en un proyecto, más conocido en tecnologías de la información como un controlador de versiones. Este módulo brindará las herramientas y los conocimientos necesarios para utilizar repositorios Git en lugar de discos duros, nubes —como Google Drive o Dropbox— o sin fines de versiones últimas de cada proyecto editorial. Se enseñará la configuración de un repositorio y su mantenimiento, la subida y descarga de información y la adición de colaboradores: todo de manera gratuita.</p>
        <h2 id="objetivos_22">Objetivos</h2>
        <ul>
            <li>
                <p>Conocer el esquema de trabajo de Git.</p>
            </li>
            <li>
                <p>Aprender a crear y clonar repositorios.</p>
            </li>
            <li>
                <p>Explicar los comandos básicos de Git.</p>
            </li>
            <li>
                <p>Reflexionar sobre las ventajas de este modelo de trabajo.</p>
            </li>
        </ul>
        <h2 id="temas_22">Temas</h2>
        <ol>
            <li>
                <p>¿Qué es un control de versiones?</p>
            </li>
            <li>
                <p>¿Cómo crear mi primer repositorio?</p>
            </li>
            <li>
                <p>Comandos básicos de Git.</p>
            </li>
            <li>
                <p>Ramas, <i>branches</i> y <i>forks</i>.</p>
            </li>
            <li>
                <p>Cómo bajar, subir y comentar información.</p>
            </li>
            <li>
                <p>Ejemplos de proyectos editoriales que usan Git.</p>
            </li>
        </ol>
        <h2 id="conocimientos-previos_22">Conocimientos previos</h2>
        <ul>
            <li>
                <p>Uso básico de la terminal.</p>
            </li>
        </ul>
        <h2 id="materiales-necesarios_22">Materiales necesarios</h2>
        <ul>
            <li>
                <p>Computadoras para realizar los ejercicios.</p>
            </li>
            <li>
                <p>Conexión a internet.</p>
            </li>
            <li>
                <p>Cañón.</p>
            </li>
        </ul>
    </body>
</html>
